summaryrefslogtreecommitdiff
path: root/platform
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2014-07-23 00:12:27 +0100
committerCarl Hetherington <cth@carlh.net>2014-07-23 00:12:27 +0100
commit56c89d5d7aa2ea910d00f775283cc1a2bb9ad831 (patch)
treead0b84cf78c711ab7e2193a78d4389b175896b30 /platform
parent2d8f0f782ccabfa49a14f5fd82c8a5dea521e3cd (diff)
Fix make_dmg a little.
Diffstat (limited to 'platform')
-rw-r--r--platform/osx/make_dmg.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index f6fdae9c2..3802348ec 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -4,7 +4,8 @@
#
# e.g. make_dmg.sh /Users/carl/cdist
-set -e
+# Don't set -e here as egrep (used a few times) returns 1 if no matches
+# were found.
version=`cat wscript | egrep ^VERSION | awk '{print $3}' | sed -e "s/'//g"`
@@ -26,7 +27,6 @@ mkdir -p "$WORK/$libs"
mkdir -p "$WORK/$resources"
function universal_copy {
- echo $2
for f in $1/32/$2; do
if [ -h $f ]; then
ln -s $(readlink $f) "$3/`basename $f`"